import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
import { animationTypes } from "../../types/modal";
export default class Content extends PureComponent<IAccordionContentProps> {
    render(): React.JSX.Element;
}
interface IAccordionContentProps extends IDiv {
    animation?: animationTypes;
    className?: string;
    expanded?: boolean;
    children?: React.ReactNode;
    onChange?: () => void;
}
export {};
