import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
export default class Header extends PureComponent<IHeaderProps> {
    render(): React.JSX.Element;
}
export interface IHeaderProps extends IDiv {
    icon?: string;
    expanded?: boolean;
    className?: string;
    children?: React.ReactNode;
    handleClick?: () => void;
}
