import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
import { textAlignTypes } from "../../types/box";
import { colorTypes } from "../../types/color";
export default class Badge extends PureComponent<IBadgeProps> {
    render(): React.JSX.Element;
}
interface IBadgeProps extends IDiv {
    textAlign?: textAlignTypes;
    className?: string;
    color?: colorTypes;
    icon?: string;
    children?: React.ReactNode;
}
export {};
