import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
export default class Countdown extends PureComponent<ICountdownProps, any> {
    private timeoutHandler;
    constructor(props: ICountdownProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): React.JSX.Element | null;
    private padNumber;
    private updateCountdown;
    private renderHoursAndMinutes;
}
interface ICountdownProps extends IDiv {
    className?: string;
    gmt?: number;
    endDate: number;
    threshold: number;
    day?: string;
    hour?: string;
    minute?: string;
}
export {};
