import React, { PureComponent } from "react";
import IIcon from "../../interfaces/icon";
import { colorTypes } from "../../types/color";
import { sizeTypes } from "../../types/icon";
export default class Icon extends PureComponent<IProps> {
    render(): React.JSX.Element;
}
export interface IProps extends IIcon {
    name: string;
    size?: sizeTypes;
    sizePixel?: number;
    disabled?: boolean;
    circular?: boolean;
    color?: colorTypes;
    onClick?: (event: any) => any;
    stroke?: number;
    className?: string;
    children?: React.ReactNode;
}
