import React, { PureComponent } from "react";
import ILink from "../../interfaces/link";
import { buttonSize, variantTypes } from "../../types/button";
export default class Link extends PureComponent<ILinkProps> {
    render(): React.JSX.Element;
}
interface ILinkProps extends ILink {
    variant?: variantTypes;
    size?: buttonSize;
    fluid?: boolean;
    disabled?: boolean;
    icon?: string;
    round?: boolean;
    ripple?: boolean;
    circular?: boolean;
    className?: string;
    loading?: boolean;
    to: string;
    children?: React.ReactNode;
}
export {};
