import React, { PureComponent } from "react";
import IListItem from "../../interfaces/list-item";
import { colorTypes } from "../../types/color";
export default class ListItem extends PureComponent<IItemProps> {
    render(): React.JSX.Element;
}
interface IItemProps extends IListItem {
    icon?: string;
    iconColor?: colorTypes;
    className?: string;
    children?: React.ReactNode;
}
export {};
