"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var classnames_1 = __importDefault(require("classnames"));
var react_1 = __importStar(require("react"));
var class_names_default_1 = __importDefault(require("../../utils/class-names-default"));
var icon_1 = __importDefault(require("../icon"));
var QuantitySelector = /** @class */ (function (_super) {
    __extends(QuantitySelector, _super);
    function QuantitySelector() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    QuantitySelector.prototype.render = function () {
        var _a = this.props, count = _a.count, fluid = _a.fluid, _b = _a.size, size = _b === void 0 ? "medium" : _b;
        var qsClasses = (0, classnames_1.default)((0, class_names_default_1.default)({ fluid: fluid }), size && "q-".concat(size), "q-qs-main");
        return (react_1.default.createElement("div", { className: qsClasses },
            react_1.default.createElement("div", { className: "q-qs-left" }, this.renderDecrementIcon()),
            react_1.default.createElement("div", { className: "q-qs-middle" }, count || 0),
            react_1.default.createElement("div", { className: "q-qs-right" }, this.renderIncrementIcon())));
    };
    QuantitySelector.prototype.renderDecrementIcon = function () {
        var _a = this.props, onDecrement = _a.onDecrement, count = _a.count, iconProps = _a.iconProps;
        var disabled = !count;
        var className = count === 1 ? "icon-trash" : "icon-minus";
        var name = count === 1 ? "trash" : "minus";
        return (react_1.default.createElement(icon_1.default, __assign({}, iconProps, { name: name, disabled: disabled, className: className, onClick: onDecrement })));
    };
    QuantitySelector.prototype.renderIncrementIcon = function () {
        var _a = this.props, onIncrement = _a.onIncrement, iconProps = _a.iconProps;
        return (react_1.default.createElement(icon_1.default, __assign({}, iconProps, { name: "plus", className: "icon-plus", onClick: onIncrement })));
    };
    return QuantitySelector;
}(react_1.PureComponent));
exports.default = QuantitySelector;
//# sourceMappingURL=quantity-selector.js.map