import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
import { sizeTypes } from "../../types/icon";
import { variantTypes } from "../../types/typography";
export default class SubHeader extends PureComponent<ISubHeader> {
    render(): React.JSX.Element;
}
interface ISubHeader extends IDiv {
    title: string;
    titleComponent?: variantTypes;
    subTitle?: string;
    leftIcon?: string;
    rightIcon?: string;
    leftIconSize?: sizeTypes;
    rightIconSize?: sizeTypes;
    leftIconOnClick?: (event: any) => any;
    rightIconOnClick?: (event: any) => any;
}
export {};
