import React, { PureComponent } from "react";
import IButton from "../../interfaces/button";
import { buttonSize, variantTypes } from "../../types/button";
export default class Button extends PureComponent<IButtonProps> {
    render(): React.JSX.Element;
}
interface IButtonProps extends IButton {
    variant?: variantTypes;
    size?: buttonSize;
    fluid?: boolean;
    disabled?: boolean;
    icon?: string;
    round?: boolean;
    circular?: boolean;
    className?: string;
    loading?: boolean;
    ripple?: boolean;
}
export {};
