import React, { PureComponent } from "react";
import IInput from "../../interfaces/input";
import { colorTypes } from "../../types/color";
import { variantTypes } from "../../types/typography";
export default class CheckBox extends PureComponent<IProps> {
    render(): React.JSX.Element;
}
interface IProps extends IInput {
    error?: boolean;
    label?: string;
    labelVariant?: variantTypes;
    labelColor?: colorTypes;
    value: any;
    className?: string;
}
export {};
