import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
export default class Loader extends PureComponent<ILoaderProps> {
    componentDidUpdate(prevProps: ILoaderProps): void;
    componentDidMount(): void;
    render(): React.JSX.Element | null;
}
export interface ILoaderProps extends IDiv {
    active: boolean;
    type?: string;
    fixed?: boolean;
    disableScroll?: boolean;
}
