import React, { PureComponent } from "react";
import { qsSize } from "../../types/quantity-selector";
import { IProps as IIconProps } from "../icon/icon";
export default class QuantitySelector extends PureComponent<IQuantitySelectorProps> {
    render(): React.JSX.Element;
    private renderDecrementIcon;
    private renderIncrementIcon;
}
interface IQuantitySelectorProps {
    onIncrement: () => void;
    onDecrement: () => void;
    count?: number;
    size?: qsSize;
    fluid?: boolean;
    iconProps?: IIconProps | any;
}
export {};
