import React, { PureComponent } from "react";
import IDiv from "../../interfaces/div";
import { colorTypes } from "../../types/color";
import { ratingSize } from "../../types/rating";
export default class Rating extends PureComponent<IProps> {
    defaultSizeMapping: any;
    private defaultMargin;
    private defaultStars;
    calculateWidth(score: number, size: string, margin: number, stars: number): number;
    render(): React.JSX.Element;
}
interface IProps extends IDiv {
    value?: number;
    icon?: string;
    size?: ratingSize;
    disabled?: boolean;
    color?: colorTypes;
    className?: string;
    margin?: number;
    stars?: number;
    children?: React.ReactNode;
}
export {};
