import React, { PureComponent } from "react";
import IInput from "../../interfaces/input";
import { switchTypes, variantTypes } from "../../types/switch";
export default class Switch extends PureComponent<IProps> {
    render(): React.JSX.Element;
}
interface IProps extends IInput {
    type?: switchTypes;
    value: string;
    variant?: variantTypes;
    error?: boolean;
    disabled?: boolean;
    label?: string;
    className?: string;
}
export {};
